SoShininessElement(3)

NAME
SoShininessElement - The SoShininessElement class is yet to be documented.

SYNOPSIS

#include <Inventor/elements/SoShininessElement.h>

Inherits SoReplacedElement.

  Public Member Functions
virtual void init (SoState *state)
int32_t getNum (void) const
FIXME: write doc.
float get (const int index) const
FIXME: write doc.
const float * getArrayPtr (void) const

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static void set (SoState *const state, SoNode *const node, const int32_t numvalues, const float *const values)
FIXME: write doc.
static const SoShininessElement * getInstance (SoState *state)
FIXME: write doc.

  Protected Member Functions
virtual ~SoShininessElement ()

  Additional Inherited Members

Detailed Description

The SoShininessElement class is yet to be documented. FIXME: write doc.

This element is part of the SoLazyElement in some other OI implementations.

Constructor & Destructor Documentation

  SoShininessElement::~SoShininessElement () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoShininessElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  int SoShininessElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

  void * SoShininessElement::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoShininessElement::initClass (void) [static]
Initialize relevant common data for all instances, like the type system.

  void SoShininessElement::init (SoState * state) [virtual]
This function initializes the element type in the given SoState. It is called for the first element of each enabled element type in SoState objects.

Reimplemented from SoReplacedElement.

  const float * SoShininessElement::getArrayPtr (void) const
Returns a pointer to the shininess values. This method is not part of the OIV API.

Author

Generated automatically by Doxygen for Coin from the source code.